VGGT-1B
التكامل
vggt-1b
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/vggt-1b?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/vggt-1b?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/vggt-1b", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ar/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "vggt-1b",
"input": {}
}
استدعِ نموذج VGGT-1B (vggt-1b) عبر Doitong API. توثيق الوكلاء: https://doitong.com/ar/developers/models/vggt-1b.md
POST https://api.doitong.ru/v1/run/vggt-1b?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{}
إذا كانت حالة الاستجابة "queued" أو "running"، فأرسل طلبات GET إلى https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 حتى تصبح "succeeded"؛ توجد الملفات في outputs[].url. يعيد POST https://api.doitong.ru/v1/quote/vggt-1b مع نفس النص الأساسي السعر الدقيق قبل التشغيل.
حتى 1.755 $ لكل تشغيل تُحتسب التكلفة حسب الاستخدام الفعلي، ويُسترد الباقي تشغيله في هذه الصفحة
مفتاح API الجديد الخاص بك. يظهر الآن فقط، وهو مُدرج بالفعل في الشيفرة وفي حقل مفتاح API أدناه. احتفظ به سريًا: لا تضعه أبدًا في شيفرة تعمل في المتصفح.
ستظهر نتيجتك الأولى هنا
أنشئ طلبًا أدناه وشغّله باستخدام مفتاح API الخاص بك. تُنسخ المخرجات إلى تخزيننا، وتُحفظ إلى الأبد أو لمدة 7 أيام مجانًا.
إنشاء طلب
تُنشأ عناصر التحكم من مخطط النموذج. يتحدّث الرمز والسعر عند تغييرها.
/run/vggt-1b?wait=20
عرض السعر → 1.755 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/vggt-1b?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/vggt-1b?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/vggt-1b", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "vggt-1b",
"input": {},
"wait_seconds": 20
}
}
}
تشغيل هذا الطلب
يبقى مفتاحك في هذا المتصفح: لا يُرسل إلا إلى Doitong API ويُحفظ في localStorage فقط إذا فعّلت خيار التذكّر. الحصول على مفتاح API
حول VGGT-1B
يقدّر الهندسة من مشاهد متعددة. قدّم ما يصل إلى 48 صورة في `image_urls`، وأضف اختياريًا `video_url` مع أخذ عينات كل `frame_sampling_rate` إطارًا. يعيد خرائط عمق لكل إطار، والمعلمات الخارجية والداخلية للكاميرا، وملفات التنبؤ الخام، وسحابة نقطية GLB مع مخاريط الكاميرا. يتحكم `confidence_percentile` و`max_points` في كثافة السحابة النقطية.
المعاملات
أرسل الاسم الأساسي أو الاسم الأصلي، وليس كليهما. الأسماء الأساسية
image_urlsاختياري
images
video_urlاختياري
video
frame_sampling_rateاختياري
alpha_blend_ontoاختياري
export_prediction_dataاختياري
export_depth_mapsاختياري
export_point_cloudاختياري
array_encodingاختياري
exclude_keysاختياري
confidence_percentileاختياري
max_pointsاختياري
enable_safety_checkerاختياري
تقبل معاملات الملفات عنوان URL عامًا يبدأ بـ https://، أو URI من نوع data: يصل حجمه إلى 10 MB، أو file_url لملف تم تحميله. الملفات
المخرجات
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "vggt-1b",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 1755,
"usd": "1.755",
"charged": 1755,
"refunded": 0
},
"input": {},
"output": {
"point_cloud": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"depth_maps": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"prediction_data": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
}
],
"num_frames": 1,
"depth_range": [
1.0
],
"extrinsics": [
[
[
1.0
]
]
],
"intrinsics": [
[
[
1.0
]
]
],
"timings": {}
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
حقول المخرجات
- point_cloud
- object {url, content_type, file_name, file_size} | nullتصدير سحابة النقاط المُعاد عندما تكون `export_point_cloud` صحيحة؛ ويجمع مشهد GLB الخاص بها السحابة المدمجة مع مخاريط الكاميرات.
- depth_maps
- array of object {url, content_type, file_name, file_size, width, height}تصدير خريطة العمق المتاح عندما تكون `export_depth_maps` صحيحة. تتبع العناصر تسلسل إطارات المصدر، ويمثل كل إطار بيانات PNG نقطية رمادية بعمق 16-bit.
- prediction_data
- array of object {url, content_type, file_name, file_size}تصدير التنبؤ الخام: عندما تكون `export_prediction_data` صحيحة، يملك كل إطار ملف JSON خاصًا به، وتتبع الملفات تسلسل الإطارات.
- num_frames
- integerإجمالي عدد الإطارات المُعاد بناؤها، بما في ذلك الصور والإطارات المأخوذة من الفيديو.
- depth_range
- array of numberحدود العمق [min, max] المستخدمة لتكميم `depth_maps`. استعد العمق بالصيغة min + pixel * (max - min) / 65535.
- extrinsics
- array of array of array of numberمصفوفات التحويل الخارجية من الكاميرا إلى العالم، بحجم 3x4 لكل إطار؛ وتشير محاور OpenCV إلى اليمين على x، وإلى الأسفل على y، وإلى الأمام على z.
- intrinsics
- array of array of array of numberمصفوفات التحويل الداخلية للكاميرا ذات الثقب الدبوسي، بحجم 3x3 لكل إطار، معبَّر عنها بإحداثيات البكسلات في إطار النموذج بحجم 518x518.
- timings
- objectالوقت المنقضي لكل مرحلة، بالثواني.
مزيد من النماذج: الرؤية
لوكلاء الذكاء الاصطناعي: تتوفر هذه الصفحة بصيغة Markdown على https://doitong.com/ar/developers/models/vggt-1b.md. جميع النماذج والأدلة: https://doitong.com/developers/llms.txt